View Issue Details

IDProjectCategoryView StatusLast Update
0036081FPCCompilerpublic2019-09-22 04:20
ReporterCyraxAssigned ToPierre Muller 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x86_64OSArchOS Version3.17.4-1
Product Version3.3.1Product Buildr43028 
Target VersionFixed in Version3.3.1 
Summary0036081: [Linux/i386] After compiler define FPC_STACKALIGNMENT was introduced, bootstrapping compiler fails.
DescriptionDue to compiler define FPC_STACKALIGNMENT introduce, bootstrapping FPC trunk fails now.
Additional Information
fpc -Ur -XX -CX -Ur -Xs -O2 -n -Fi../inc -Fi../i386 -Fi../unix -Fii386 -FE. -FU/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/units/i386-linux -gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Xs- -Si- -vbq -Sew- -XX- -CX- -dEXTDEBUG -vh- -vn- -vw- -dDEBUG_NODE_XML -Fl/lib -Fl/usr/lib -Fl/usr/lib/gcc/i686-pc-linux-gnu/9.1.0 -dTEST_WIN32_SEH -Cit -gt -gv -Cg -di386 -dRELEASE  -Us -Sg system.pp
Compiling Release Version
Free Pascal Compiler version 3.0.4-r37149 [2018/02/11] for i386
Copyright (c) 1993-2017 by Florian Klaempfl and others
(1002) Target OS: Linux for i386
(3104) Compiling system.pp
/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/inc/system.inc(956,5) Error: (4001) Incompatible types: got "AnsiString" expected "Int64"
/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/inc/system.inc(956,5) Error: (2072) Compile time expression: Wanted Boolean but got <erroneous type> at IF or ELSEIF
system.pp(708) Fatal: (10026) There were 2 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /mnt/shares/ohjelmointi2/fpc/i386/release/3.0.4/binary/release/bin/i386-linux/ppc386 returned an error exitcode
make[7]: *** [Makefile:3943: system.ppu] Error 1
make[7]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl/linux'
make[6]: *** [Makefile:2067: linux_all] Error 2
make[6]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/rtl'
make[5]: *** [Makefile:4688: rtl] Error 2
make[5]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[4]: *** [Makefile:4530: next] Error 2
make[4]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[3]: *** [Makefile:4536: ppc1] Error 2
make[3]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[2]: *** [Makefile:4552: cycle] Error 2
make[2]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source/compiler'
make[1]: *** [Makefile:2848: compiler_cycle] Error 2
make[1]: Leaving directory '/mnt/shares/ohjelmointi2/fpc/source/git_source'
make: *** [Makefile:2880: build-stamp.i386-linux] Error 2
TagsNo tags attached.
Fixed in Revision43029
FPCOldBugId
FPCTarget-
Attached Files

Activities

Pierre Muller

2019-09-18 09:43

developer   ~0118102

  Bug reproduced using 3.0.4 release

Pierre Muller

2019-09-18 09:47

developer   ~0118103

  Commit #43029 should fix the issue.

Please test current trunk ad close bug report if everything is OK.

Pierre

Cyrax

2019-09-22 04:20

reporter   ~0118149

Thanks for the fix.

Issue History

Date Modified Username Field Change
2019-09-18 08:44 Cyrax New Issue
2019-09-18 09:43 Pierre Muller Assigned To => Pierre Muller
2019-09-18 09:43 Pierre Muller Status new => confirmed
2019-09-18 09:43 Pierre Muller FPCTarget => -
2019-09-18 09:43 Pierre Muller Note Added: 0118102
2019-09-18 09:47 Pierre Muller Status confirmed => resolved
2019-09-18 09:47 Pierre Muller Resolution open => fixed
2019-09-18 09:47 Pierre Muller Fixed in Version => 3.3.1
2019-09-18 09:47 Pierre Muller Fixed in Revision => 43029
2019-09-18 09:47 Pierre Muller Note Added: 0118103
2019-09-22 04:20 Cyrax Status resolved => closed
2019-09-22 04:20 Cyrax Note Added: 0118149